Exchanges
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Filter by enabled status
Filter by blockchain chain ID
List of exchanges
Exchange identifier
1Exchange type e.g. CEX, DEX, PREDICTION
CEXExchange name e.g. Binance
binanceExchange service e.g. spot, futures
spotWhether the exchange is enabled
trueWhether the exchange provides exchange rates to the system
trueWhether the exchange API keys need extra information other than the API key and secret
falseInternal server error
GET /api/v2/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"type": "CEX",
"name": "binance",
"service": "spot",
"enabled": true,
"hasExchangeRate": true,
"extra": false
}
]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of enabled CEX exchanges
Exchange identifier
1Exchange type e.g. CEX, DEX, PREDICTION
CEXExchange name e.g. Binance
binanceExchange service e.g. spot, futures
spotWhether the exchange is enabled
trueWhether the exchange provides exchange rates to the system
trueWhether the exchange API keys need extra information other than the API key and secret
falseInternal server error
GET /api/v2/exchange/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"type": "CEX",
"name": "binance",
"service": "spot",
"enabled": true,
"hasExchangeRate": true,
"extra": false
}
]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Blockchain chain ID
List of DEX exchanges for the specified chain
Exchange identifier
1Exchange type e.g. CEX, DEX, PREDICTION
CEXExchange name e.g. Binance
binanceExchange service e.g. spot, futures
spotWhether the exchange is enabled
trueWhether the exchange provides exchange rates to the system
trueWhether the exchange API keys need extra information other than the API key and secret
falseMissing chain ID
Internal server error
GET /api/v2/exchange/dex/{chain} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"type": "CEX",
"name": "binance",
"service": "spot",
"enabled": true,
"hasExchangeRate": true,
"extra": false
}
]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of prediction exchanges
Exchange identifier
1Exchange type e.g. CEX, DEX, PREDICTION
CEXExchange name e.g. Binance
binanceExchange service e.g. spot, futures
spotWhether the exchange is enabled
trueWhether the exchange provides exchange rates to the system
trueWhether the exchange API keys need extra information other than the API key and secret
falseInternal server error
GET /api/v2/exchange/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"type": "CEX",
"name": "binance",
"service": "spot",
"enabled": true,
"hasExchangeRate": true,
"extra": false
}
]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of enabled exchanges with exchange rates
Exchange identifier
1Exchange type e.g. CEX, DEX, PREDICTION
CEXExchange name e.g. Binance
binanceExchange service e.g. spot, futures
spotWhether the exchange is enabled
trueWhether the exchange provides exchange rates to the system
trueWhether the exchange API keys need extra information other than the API key and secret
falseInternal server error
GET /api/v2/exchange/with-exchange-rate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"type": "CEX",
"name": "binance",
"service": "spot",
"enabled": true,
"hasExchangeRate": true,
"extra": false
}
]Last updated